/****** Object:  Table [dbo].[COLUMNS]    Script Date: 2019/8/30 10:57:34 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[COLUMNS](
	[name] [nvarchar](50) NULL,
	[model] [nvarchar](50) NULL,
	[length] [int] NULL,
	[inradium] [float] NULL,
	[filler] [nvarchar](50) NULL,
	[temp] [float] NULL,
	[aperture] [float] NULL,
	[particalsize] [float] NULL
) ON [PRIMARY]

GO
/****** Object:  Table [dbo].[CTRL]    Script Date: 2019/8/30 10:57:34 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[CTRL](
	[id] [nvarchar](50) NOT NULL,
	[comtype] [int] NULL,
	[iscomopen] [bit] NULL,
	[com] [nvarchar](50) NULL,
	[instru_id] [nvarchar](50) NULL,
	[haschannels] [bit] NULL,
	[channelids] [nvarchar](1000) NULL,
	[channel_instru_ids] [nvarchar](1000) NULL,
 CONSTRAINT [PK_CTRL] PRIMARY KEY CLUSTERED 
(
	[id] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
/****** Object:  Table [dbo].[CTRL_DISPLAY]    Script Date: 2019/8/30 10:57:34 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[CTRL_DISPLAY](
	[ctrl_id] [nvarchar](50) NOT NULL,
	[displaynos] [nvarchar](50) NULL,
 CONSTRAINT [PK_CTRL_DISPLAY] PRIMARY KEY CLUSTERED 
(
	[ctrl_id] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
/****** Object:  Table [dbo].[GLP_CTRL]    Script Date: 2019/8/30 10:57:34 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[GLP_CTRL](
	[ctrl_id] [nvarchar](50) NULL,
	[content] [nvarchar](1000) NULL,
	[updatetime] [datetime] NULL
) ON [PRIMARY]

GO
/****** Object:  Table [dbo].[GLP_INSTALL]    Script Date: 2019/8/30 10:57:34 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[GLP_INSTALL](
	[id] [nvarchar](50) NULL,
	[time] [datetime] NULL,
	[ctrl_id] [nvarchar](50) NULL,
	[content] [nvarchar](1000) NULL,
	[oper] [nvarchar](50) NULL
) ON [PRIMARY]

GO
/****** Object:  Table [dbo].[GLP_MAINTAIN]    Script Date: 2019/8/30 10:57:34 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[GLP_MAINTAIN](
	[id] [nvarchar](50) NOT NULL,
	[time] [datetime] NULL,
	[ctrl_id] [nvarchar](50) NULL,
	[content] [nvarchar](1000) NULL,
	[reason] [nvarchar](1000) NULL,
	[result] [nvarchar](1000) NULL,
	[oper] [nvarchar](50) NULL,
 CONSTRAINT [PK_GLP_MAINTAIN] PRIMARY KEY CLUSTERED 
(
	[id] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
/****** Object:  Table [dbo].[GLP_PERFORM]    Script Date: 2019/8/30 10:57:34 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[GLP_PERFORM](
	[id] [nvarchar](50) NOT NULL,
	[time] [datetime] NULL,
	[ctrl_id] [nvarchar](50) NULL,
	[content] [nvarchar](1000) NULL,
	[reason] [nvarchar](1000) NULL,
	[result] [nvarchar](1000) NULL,
	[oper] [nvarchar](50) NULL,
 CONSTRAINT [PK_GLP_PERFORM] PRIMARY KEY CLUSTERED 
(
	[id] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
/****** Object:  Table [dbo].[INSTRU]    Script Date: 2019/8/30 10:57:34 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[INSTRU](
	[id] [nvarchar](50) NOT NULL,
	[name] [nvarchar](50) NULL,
	[style] [nvarchar](50) NULL,
	[image] [nvarchar](1000) NULL,
	[ss] [nvarchar](50) NULL,
 CONSTRAINT [PK_INSTRU] PRIMARY KEY CLUSTERED 
(
	[id] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
/****** Object:  Table [dbo].[INSTRU_SET]    Script Date: 2019/8/30 10:57:34 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[INSTRU_SET](
	[instru_id] [nvarchar](50) NOT NULL,
	[key] [nvarchar](50) NULL,
	[value] [nvarchar](50) NULL
) ON [PRIMARY]

GO
/****** Object:  Table [dbo].[LOG_ERROR]    Script Date: 2019/8/30 10:57:34 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[LOG_ERROR](
	[file] [nvarchar](1000) NULL,
	[updatetime] [datetime] NULL,
	[content] [nvarchar](1000) NULL,
	[errormsg] [nvarchar](1000) NULL
) ON [PRIMARY]

GO
/****** Object:  Table [dbo].[LOGGER]    Script Date: 2019/8/30 10:57:34 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[LOGGER](
	[id] [nvarchar](50) NOT NULL,
	[time] [datetime] NULL,
	[type] [int] NULL,
	[from] [nvarchar](50) NULL,
	[obj] [nvarchar](50) NULL,
	[message] [nvarchar](1000) NULL,
	[oper] [nvarchar](50) NULL,
	[version] [nvarchar](50) NULL,
 CONSTRAINT [PK_LOGGER] PRIMARY KEY CLUSTERED 
(
	[id] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
/****** Object:  Table [dbo].[LOGIN_SET]    Script Date: 2019/8/30 10:57:34 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[LOGIN_SET](
	[username] [nvarchar](50) NULL,
	[password] [nvarchar](50) NULL,
	[lastlogintime] [datetime] NULL
) ON [PRIMARY]

GO
/****** Object:  Table [dbo].[PROJECT]    Script Date: 2019/8/30 10:57:34 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[PROJECT](
	[id] [nvarchar](50) NOT NULL,
	[group_id] [nvarchar](50) NULL,
	[name] [nvarchar](50) NULL,
	[status] [char](1) NULL,
	[descrip] [nvarchar](1000) NULL,
	[createtime] [datetime] NULL,
	[user_id] [nvarchar](50) NULL,
	[isaudit] [bit] NULL,
	[isauditcomment] [bit] NULL,
	[audititem] [nvarchar](100) NULL,
	[ispublic] [bit] NULL,
 CONSTRAINT [PK_PROJECT] PRIMARY KEY CLUSTERED 
(
	[id] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
/****** Object:  Table [dbo].[PROJECT_AUDIT]    Script Date: 2019/8/30 10:57:34 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[PROJECT_AUDIT](
	[id] [nvarchar](50) NOT NULL,
	[project_id] [nvarchar](50) NULL,
	[order_id] [bigint] NULL,
	[item] [int] NULL,
	[content] [nvarchar](1000) NULL,
	[comment] [nvarchar](1000) NULL,
	[operator] [nvarchar](50) NULL,
	[opetime] [datetime] NULL,
	[version] [nvarchar](50) NULL,
	[objname] [nvarchar](50) NULL,
	[objid] [nvarchar](50) NULL,
 CONSTRAINT [PK_PROJECT_AUDIT] PRIMARY KEY CLUSTERED 
(
	[id] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
/****** Object:  Table [dbo].[PROJECT_GROUP]    Script Date: 2019/8/30 10:57:34 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[PROJECT_GROUP](
	[id] [nvarchar](50) NOT NULL,
	[parent_id] [nvarchar](50) NULL,
	[name] [nvarchar](50) NULL,
	[descrip] [nvarchar](50) NULL,
	[createtime] [datetime] NULL,
 CONSTRAINT [PK_PROJECT_GROUP] PRIMARY KEY CLUSTERED 
(
	[id] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
/****** Object:  Table [dbo].[PROJECT_METHOD]    Script Date: 2019/8/30 10:57:34 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[PROJECT_METHOD](
	[project_id] [nvarchar](50) NULL,
	[type] [nvarchar](50) NULL,
	[method_group_id] [nvarchar](50) NULL,
	[filepath] [nvarchar](50) NOT NULL,
	[filename] [nvarchar](50) NULL,
	[updatetime] [datetime] NULL,
	[status] [char](1) NULL,
 CONSTRAINT [PK_PROJECT_METHOD] PRIMARY KEY CLUSTERED 
(
	[filepath] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
/****** Object:  Table [dbo].[PROJECT_METHOD_GROUP]    Script Date: 2019/8/30 10:57:34 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[PROJECT_METHOD_GROUP](
	[id] [nvarchar](50) NOT NULL,
	[project_id] [nvarchar](50) NULL,
	[type] [nvarchar](50) NULL,
	[grouppath] [nvarchar](1000) NULL,
 CONSTRAINT [PK_PROJECT_METHOD_GROUP] PRIMARY KEY CLUSTERED 
(
	[id] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
/****** Object:  Table [dbo].[PROJECT_OPERATE]    Script Date: 2019/8/30 10:57:34 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[PROJECT_OPERATE](
	[id] [nvarchar](50) NOT NULL,
	[project_id] [nvarchar](50) NULL,
	[content] [nvarchar](1000) NULL,
	[operator] [nvarchar](50) NULL,
	[opetime] [datetime] NULL,
	[comment] [nvarchar](1000) NULL,
 CONSTRAINT [PK_PROJECT_OPERATE] PRIMARY KEY CLUSTERED 
(
	[id] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
/****** Object:  Table [dbo].[PROJECT_PUBLIC_ROLE]    Script Date: 2019/8/30 10:57:34 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[PROJECT_PUBLIC_ROLE](
	[id] [nvarchar](50) NOT NULL,
	[project_id] [nvarchar](50) NULL,
	[user_id] [nvarchar](50) NULL,
	[roles] [nvarchar](50) NULL,
 CONSTRAINT [PK_PROJECT_PUBLIC_ROLE] PRIMARY KEY CLUSTERED 
(
	[id] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
/****** Object:  Table [dbo].[USER]    Script Date: 2019/8/30 10:57:34 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[USER](
	[id] [nvarchar](50) NOT NULL,
	[username] [nvarchar](50) NULL,
	[password] [nvarchar](50) NULL,
	[status] [char](1) NULL,
	[creator] [nvarchar](50) NULL,
	[createtime] [datetime] NULL,
	[role_id] [nvarchar](50) NULL,
	[comment] [nvarchar](1000) NULL,
	[signature] [nvarchar](1000) NULL,
 CONSTRAINT [PK_USER] PRIMARY KEY CLUSTERED 
(
	[id] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
/****** Object:  Table [dbo].[USER_ROLE]    Script Date: 2019/8/30 10:57:34 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[USER_ROLE](
	[id] [nvarchar](50) NOT NULL,
	[name] [nvarchar](50) NULL,
	[status] [char](1) NULL,
	[creator] [nvarchar](50) NULL,
	[createtime] [datetime] NULL,
	[auth] [nvarchar](1000) NULL,
	[comment] [nvarchar](1000) NULL,
 CONSTRAINT [PK_USER_ROLE] PRIMARY KEY CLUSTERED 
(
	[id] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

